# Rest API

### Rest Endpoints

#### Environments

There are two environments to access our market data rest endpoints:

1. **Live**

<pre><code><strong>https://marketdata.aquanow.com/ 
</strong></code></pre>

2. **Sandbox**

```
https://marketdata.staging.aquanow.com/
```

### Access and Authorization

Rest API Authentication is done using an OAuth2.0. View the [Authorization](/cams/security/oauth2.0.md) page for more detail.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aquanow.io/cams/market-data/rest-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
